org.apache.hive.jdbc.saml

## Class IJdbcBrowserClient.HiveJdbcBrowserServerResponse

- java.lang.Object
- - org.apache.hive.jdbc.saml.IJdbcBrowserClient.HiveJdbcBrowserServerResponse

Enclosing interface:
  IJdbcBrowserClient

    @Immutable
    public static class IJdbcBrowserClient.HiveJdbcBrowserServerResponse
    extends Object

Util class which can be used to parse the response received from the server.

### Constructor Summary

Constructors
Constructor and Description
`HiveJdbcBrowserServerResponse(boolean status, String msg, String token)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMsg()`
`String` `getToken()`
`boolean` `isSuccessful()`
`boolean` `isValid()` A response is valid if the status is true with a non-empty token or if status is false

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HiveJdbcBrowserServerResponse

    public HiveJdbcBrowserServerResponse(boolean status,
                                         String msg,
                                         String token)

### Method Detail

#### getMsg

    public String getMsg()

#### isSuccessful

    public boolean isSuccessful()

#### getToken

    public String getToken()

#### isValid

    public boolean isValid()

A response is valid if the status is true with a non-empty token or if status is false